# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Model.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/Test.pm) perl(Class/Accessor/Fast.pm) perl(DBD/SQLite.pm) perl(Data/Dump.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(Jifty/DBI.pm) perl(Jifty/DBI/Collection.pm) perl(Jifty/DBI/Handle.pm) perl(Jifty/DBI/Record.pm) perl(Jifty/DBI/Schema.pm) perl(Jifty/DBI/SchemaGenerator.pm) perl(MRO/Compat.pm) perl(Module/Find.pm) perl(Test/More.pm) perl(Test/UseAllModules.pm) perl(base.pm) perl(mro.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Catalyst-Model-Jifty-DBI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Jifty::DBI Model Class with some magic on top
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IS/ISHIGAKI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a Catalyst model for Jifty::DBI-based schemas, which may or may not be placed under your model class (if you don't want to place them under the model class, pass "schema_base" option to the model).  The model class automatically detect/load your schemas, like Catalyst::Model::DBIC::Schema does.

This model also provides several features for laziness. You don't have to create simple Collection classes (they'll be created on the fly a la Jifty). No more writing schema in other language just to set up databases; C::M::Jifty::DBI takes care of it, on the fly if you want (of course from the perl schemas you prepared; converting raw SQLs to a database to perl schemas is not our way). You may want to use multiple databases of the same schema, or, you may prefer bloody raw SQL statements to complicated object chains. Here you are. Have fun!


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

